Name: sac
Version: 1.3
Release: %mkrel 24
Summary: Java standard interface for CSS parser
License: W3C
Group:   Development/Java
#Original source: http://www.w3.org/2002/06/%{name}java-%{version}.zip
#unzip, find . -name "*.jar" -exec rm {} \;
#to simplify the licensing
Source0: %{name}java-%{version}-jarsdeleted.zip
Source1: %{name}-build.xml
Source2: %{name}-MANIFEST.MF
Source3: http://mirrors.ibiblio.org/pub/mirrors/maven2/org/w3c/css/sac/1.3/sac-1.3.pom
URL: http://www.w3.org/Style/CSS/SAC/
BuildRequires: ant, java-devel, jpackage-utils, zip
Requires: java-headless, jpackage-utils
BuildArch: noarch

%description
SAC is a standard interface for CSS parsers, intended to work with CSS1, CSS2,
CSS3 and other CSS derived languages.

%package javadoc
Group: Development/Java
Summary: Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
install -m 644 %{SOURCE1} build.xml
find . -name "*.jar" -exec rm -f {} \;

%build
ant jar javadoc

%install
# inject OSGi manifests
mkdir -p META-INF
cp -p %{SOURCE2} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -u build/lib/sac.jar META-INF/MANIFEST.MF

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p ./build/lib/sac.jar $RPM_BUILD_ROOT%{_javadir}/sac.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE3} \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc COPYRIGHT.html
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_datadir}/maven-metadata/*

%files javadoc
%doc COPYRIGHT.html
%{_javadocdir}/%{name}




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.3-24.mga6
+ Revision: 982139
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.3-23.mga6
+ Revision: 978150
- First rebuild of the java stack
- sync package sac with fedora

* Mon Feb 08 2016 umeabot <umeabot> 1.3-21.mga6
+ Revision: 950461
- Mageia 6 Mass Rebuild

* Fri Oct 31 2014 pterjan <pterjan> 1.3-20.mga5
+ Revision: 794923
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-19.mga5
+ Revision: 740564
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-18.mga5
+ Revision: 689019
- Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 1.3-17.mga4
+ Revision: 563457
- Remove old rpm macros

* Tue Dec 10 2013 joequant <joequant> 1.3-16.mga4
+ Revision: 556143
- maven depmaps

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.3-14.mga3
+ Revision: 381650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.3-13.mga3
+ Revision: 305466
- Documentation group

* Fri Jun 29 2012 dmorgan <dmorgan> 1.3-12.mga3
+ Revision: 265182
- Rebuild against new java

* Wed Jan 26 2011 dmorgan <dmorgan> 1.3-9.mga1
+ Revision: 40189
- Add zip as buildrequire
- Adapt for mageia
- imported package sac

